VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Functions
Version 4.9
New classes

## Classes
class | CListControl
| Control which draws a list of configurable rows. More...
struct | CListControlRowDesc
| The description of one row for the CListControl. More...
class | IListControlDrawer
| The list control drawer interface. More...
class | IListControlConfigurator
| The list control configurator interface. More...
class | StaticListControlConfigurator
| A list control configurator implementation. More...
class | StringListControlDrawer
| A specialized list control drawer to draw strings. More...
struct | DragStartMouseObserver
| Helper object to be used to decide if a mouse move is far enough to start a drag operation. More...

## Functions
bool | shouldStartDrag (CPoint mouseDownPos, CPoint mouseMovePos)
| Helper method to be used to decide if a mouse move is far enough to start a drag operation.

## Detailed Description

## Function Documentation

## ◆ shouldStartDrag()

bool shouldStartDrag | ( | CPoint | mouseDownPos,
|  | CPoint | mouseMovePos )
| inline

Helper method to be used to decide if a mouse move is far enough to start a drag operation.

See also
  DragStartMouseObserver